Set the webhook endpoint URL
curl --request PUT \
--url https://app.microcrop.app/api/organizations/me/webhook \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"url": "https://your-system.example.com/microcrop/webhooks"
}
'import requests
url = "https://app.microcrop.app/api/organizations/me/webhook"
payload = { "url": "https://your-system.example.com/microcrop/webhooks" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://your-system.example.com/microcrop/webhooks'})
};
fetch('https://app.microcrop.app/api/organizations/me/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"url": "<string>",
"secretSet": true,
"secret": "whsec_…"
}
}{
"success": false,
"error": {
"code": "INVALID_INPUT",
"message": "<string>",
"details": "<unknown>"
}
}Organization
Set the webhook endpoint URL
Must be https. A signing secret is generated on first use and returned in the response. ORG_ADMIN only. NOTE: PUT /organizations/me/settings does NOT configure webhooks — it accepts only brandColor and contactPhone.
PUT
/
organizations
/
me
/
webhook
Set the webhook endpoint URL
